Package org.apache.catalina.authenticator

## Class DigestAuthenticator.DigestInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.DigestInfo

Enclosing class:
  DigestAuthenticator

    public static class DigestAuthenticator.DigestInfo
    extends java.lang.Object

### Constructor Summary

Constructors
`DigestInfo​(java.lang.String opaque, long nonceValidity, java.lang.String key, java.util.Map<java.lang.String,​DigestAuthenticator.NonceInfo> nonces, boolean validateUri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.security.Principal` `authenticate​(Realm realm)`
`java.lang.String` `getUsername()`
`boolean` `isNonceStale()`
`boolean` `parse​(Request request, java.lang.String authorization)`
`boolean` `validate​(Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DigestInfo

    public DigestInfo​(java.lang.String opaque,
                      long nonceValidity,
                      java.lang.String key,
                      java.util.Map<java.lang.String,​DigestAuthenticator.NonceInfo> nonces,
                      boolean validateUri)

### Method Detail

#### getUsername

    public java.lang.String getUsername()

#### parse

    public boolean parse​(Request request,
                         java.lang.String authorization)

#### validate

    public boolean validate​(Request request)

#### isNonceStale

    public boolean isNonceStale()

#### authenticate

    public java.security.Principal authenticate​(Realm realm)